=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb --with-glide \
		--with-ggi --with-sdl --enable-esd \
		--enable-qt --disable-ppro ; \
	else \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb \
		--with-ggi --with-sdl --enable-esd \
		--enable-qt ; \
	fi

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# get rid of libdvdcss for the moment
	rm -f debian/vlc/usr/lib/libdvdcss*
	rm -Rf debian/vlc/usr/include

	# make symlinks for packages
	aliases="ggi gtk gnome esd sdl qt" ; \
	if [ $(DEB_BUILD_ARCH) = i386 ]; then aliases=$$aliases" glide" ; fi ; \
	for alias in `echo $$aliases` ; do \
		mkdir -p debian/vlc-$$alias/usr/share/doc/ ; \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mkdir -p debian/vlc-$$alias/usr/lib/videolan/vlc/ ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mkdir -p debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mkdir -p debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mkdir -p debian/vlc-qt/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/

	mkdir -p debian/vlc/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/vlc.png \
		debian/vlc/usr/share/pixmaps/
	mkdir -p debian/vlc/usr/share/gnome/apps/Multimedia/
	cp debian/vlc.desktop debian/vlc/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gtk/usr/share/videolan/ \
		debian/vlc-gtk/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gvlc.xpm \
		debian/vlc-gtk/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gvlc.png \
		debian/vlc-gtk/usr/share/pixmaps/
	mkdir -p debian/vlc-gtk/usr/share/gnome/apps/Multimedia/
	cp debian/gvlc.desktop debian/vlc-gtk/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gnome/usr/share/videolan/ \
		debian/vlc-gnome/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gnome-vlc.xpm \
		debian/vlc-gnome/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gnome-vlc.png \
		debian/vlc-gnome/usr/share/pixmaps/
	mkdir -p debian/vlc-gnome/usr/share/gnome/apps/Multimedia/
	cp debian/gnome-vlc.desktop debian/vlc-gnome/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-qt/usr/share/videolan/ \
		debian/vlc-qt/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/qvlc.xpm \
		debian/vlc-qt/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/qvlc.png \
		debian/vlc-qt/usr/share/pixmaps/

	mkdir -p debian/vlc/usr/share/man/man1/
	gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	mkdir -p debian/vlc-gtk/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	mkdir -p debian/vlc-gnome/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	mkdir -p debian/vlc-qt/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	#dh_installcron
#	dh_installmanpages -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-qt doc/vlc.1
	#dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-qt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -Nvlc-glide
	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
		dh_gencontrol ;\
		dh_md5sums ;\
		dh_builddeb ;\
	else \
		dh_gencontrol -Nvlc-glide ;\
		dh_md5sums -Nvlc-glide ;\
		dh_builddeb -Nvlc-glide ;\
	fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
